import { service } from './request.js'

// pad登录
export const login = (data) => {
	return service({
		url: '/login/v2',
		method: 'POST',
		data: data
	})
}

// 查询数据
export const receiveOrderList = (data) => {
	return service({
		url: '/prescription/prescriptionCore/receiveOrderList',
		method: 'POST',
		data: data
	})
}

// 调配详情
export const selectOrderDetail = (data) => {
	return service({
		url: '/prescription/prescriptionCore/selectOrderDetail',
		method: 'POST',
		data: data
	})
}

// 更改接单状态
export const updateWorkStatus = (data) => {
	return service({
		url: '/pharmacistStatus/updateWorkStatus',
		method: 'POST',
		data: data
	})
}

// 更改用户在线状态
export const updateOnlineStatus = (data) => {
	return service({
		url: '/pharmacistOnlineStatus/updateOnlineStatus',
		method: 'POST',
		data: data
	})
}

// 释放订单
export const releaseOrder = (data) => {
	return service({
		url: '/pharmacistStatus/releaseOrder',
		method: 'GET',
		data: data
	})
}

// 保存发布
export const saveDepoly = (data) => {
	return service({
		url: '/file/saveCoreFile',
		method: 'POST',
		data: data
	})
}

// 保存复核
export const saveReview = (data) => {
	return service({
		url: '/prescription/prescriptionCore/reviewPrescription',
		method: 'POST',
		data: data
	})
}


// 打印成功后调分配接口
export const sendToUser = (data) => {
	return service({
		url: 'userPrescription/sendToUser',
		method: 'POST',
		data: data
	})
}